Get a component

View as Markdown

Gets information about a component. Use the include and expand query parameters to return additional information, such as hasVersions and the latest published version.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

componentIdstringRequired
The component's ID.

Query parameters

includestringOptional

A comma-separated list of additional fields to include. Accepts the hasVersions, latestVersion, latestVersion.content values.

expandstringOptional

A comma-separated list of fields to expand. Accepts the latestVersion value.

Response

Successful Response
dataobject
Information about the component.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error